--- title: "Test your skills: Advanced HTML text" slug: "Learn/HTML/Introduction\_to\_HTML/Test\_your\_skills:\_Advanced\_HTML\_text" tags: - Beginner - HTML - Learn - advanced text - test your skills ---

{{learnsidebar}}

The aim of this skill test is to assess whether you've understood our [Advanced text formatting](/en-US/docs/Learn/HTML/Introduction_to_HTML/Advanced_text_formatting) article.

**Note**: You can try out solutions in the interactive editors below; however, it may be helpful to download the code and use an online tool such as [CodePen](https://codepen.io/), [jsFiddle](https://jsfiddle.net/), or [Glitch](https://glitch.com/) to work on the tasks.  
  
If you get stuck, then ask us for help — see the {{anch("Assessment or further help")}} section at the bottom of this page.

Advanced HTML text 1
--------------------

In this task we want you to turn the provided animals and their definitions into a description list.

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("learning-area/html/introduction-to-html/tasks/advanced-text/advanced-text1.html", '100%', 700)}}

[Download the starting point for this task](https://github.com/mdn/learning-area/blob/master/html/introduction-to-html/tasks/advanced-text/advanced-text1-download.html) to work in your own editor or in an online editor.

Advanced HTML text 2
--------------------

In this task we want you to add some semantics to the provided HTML as follows:

-   Turn the second paragraph into a block-level quote, and semantically indicate that the quote is taken from [Accessibility](/en-US/docs/Learn/Accessibility).
-   Semantically mark up "HTML" and "CSS" as acronyms, providing expansions as tooltips.
-   Semantically associate machine-readable dates with the dates in the text.
-   Use subscript and superscript to provide correct semantics for the chemical formulae and dates, and make them display correctly.

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("learning-area/html/introduction-to-html/tasks/advanced-text/advanced-text2.html", '100%', 700)}}

[Download the starting point for this task](https://github.com/mdn/learning-area/blob/master/html/introduction-to-html/tasks/advanced-text/advanced-text2-download.html) to work in your own editor or in an online editor.

Assessment or further help
--------------------------

You can practice these examples in the Interactive Editors above.

If you would like your work assessed, or are stuck and want to ask for help:

1.  Put your work into an online shareable editor such as [CodePen](https://codepen.io/), [jsFiddle](https://jsfiddle.net/), or [Glitch](https://glitch.com/). You can write the code yourself, or use the starting point files linked to in the above sections.
2.  Write a post asking for assessment and/or help at the <a href="https://discourse.mozilla.org/c/mdn/learn" class="external external-icon">MDN Discourse forum Learning category</a>. Your post should include:
    -   A descriptive title such as "Assessment wanted for Advanced HTML text 1 skill test".
    -   Details of what you have already tried, and what you would like us to do, e.g. if you are stuck and need help, or want an assessment.
    -   A link to the example you want assessed or need help with, in an online shareable editor (as mentioned in step 1 above). This is a good practice to get into — it's very hard to help someone with a coding problem if you can't see their code.
    -   A link to the actual task or assessment page, so we can find the question you want help with.
